-- Pull the wezterm API
local wezterm = require("wezterm")
-- This will hold the configuration.
local config = wezterm.config_builder()

-- General
config.font_size = 11
config.line_height = 1.22
config.font = wezterm.font("JetBrainsMono Nerd Font")
config.color_scheme = "rose-pine-moon"

config.colors = {
  cursor_bg = "#89B482",
  cursor_border = "#89B482",
}

config.inactive_pane_hsb = {
  saturation = 1.0,
  brightness = 1.0,
}

config.window_background_opacity = 0.9

config.window_decorations = "NONE"
config.enable_tab_bar = false

-- Key bindings
config.keys = {
  {
    key = "w",
    mods = "CMD",
    action = wezterm.action.CloseCurrentPane({ confirm = false }),
  },
  {
    key = "d",
    mods = "CMD",
    action = wezterm.action.SplitHorizontal({ domain = "CurrentPaneDomain" }),
  },
  {
    key = "d",
    mods = "CMD|SHIFT",
    action = wezterm.action.SplitVertical({ domain = "CurrentPaneDomain" }),
  },
  {
    key = "k",
    mods = "CMD",
    action = wezterm.action.SendString("clear\n"),
  },
}

return config
